
set terminal postscript "Helvetica" 20 color size 10.0, 6.5

set xlabel "Utilization"
set ylabel "Proportion of Task Sets\nfound to be Schedulable"
set format x "%1.1f"
set format y "%1.1f"

set xrange [ 0.4 : 0.9 ]

plot \
    "crpdfig2.dat" using 1:4 with linespoints title "SRPD-RTA (good)" lc 3, \
    "crpdfig2.dat" using 1:3 with linespoints title "SRPD-RTA (real)" lc 4, \
    "crpdfig2.dat" using 1:2 with linespoints title "CRPD-RTA" lc 0, \
    "crpdfig2.dat" using 1:5 with linespoints title "SRPD-RTA (poor)" lc 1


