
class WCET_Data:
    pass

icdc = WCET_Data()
ipdp = WCET_Data()
icdp = WCET_Data()
ecbs = WCET_Data()
ucbs = WCET_Data()

#Cache Configuration: 18 Cycles Cache Reload Penalty, Data and Instruction Cache
icdc.binarysearch = 655
icdc.bsort100 = 2127840  
icdc.crc = 364382 
icdc.fac = 514
icdc.fibcall = 1682
icdc.fir = 18085
icdc.insertsort = 7099
icdc.matmult = 884681
icdc.minmax = 874
icdc.ns = 58633
icdc.qsortexam = 41114
icdc.qurt = 401790 # (4KB, 8KB)
icdc.select = 30137
icdc.sqrt = 135984

#Cache Configuration: Perfect Instruction Cache, Perfect Data Cache (miss penalty=1)
ipdp.binarysearch = 298 
ipdp.bsort100 = 1107438
ipdp.crc = 211722
ipdp.fac = 1046
ipdp.fibcall = 1347
ipdp.fir = 21363
ipdp.insertsort = 6198 
ipdp.matmult = 805631 
ipdp.minmax = 279 
ipdp.ns = 36591
ipdp.qsortexam = 16544
ipdp.qurt = 106721 # (4KB, 8KB)
ipdp.select = 13375 
ipdp.sqrt = 34033

#Cache Configuration: Instruction Cache Only (Miss penalty 18), Perfect Data Cache (miss penalty=1)
icdp.binarysearch = 604
icdp.bsort100 = 1107982
icdp.crc = 212980
icdp.fac = 1284
icdp.fibcall = 1568
icdp.fir = 22298
icdp.insertsort = 6555
icdp.matmult = 806532
icdp.minmax = 874
icdp.ns = 37169
icdp.qsortexam = 17479
icdp.qurt = 110699 # (4KB, 8KB)
icdp.select = 14701
icdp.sqrt = 37790



ucbs.binarysearch = 13 
ucbs.bsort100 = 20 
ucbs.crc = 62 
ucbs.fac = 4 
ucbs.fibcall = 7 
ucbs.fir = 23 
ucbs.insertsort = 10 
ucbs.matmult = 25 
ucbs.minmax = 7 
ucbs.ns = 18 
ucbs.qsortexam = 81 
ucbs.qurt = 227 
ucbs.select = 71 
ucbs.sqrt = 190 

ecbs.binarysearch = 18
ecbs.bsort100 = 32
ecbs.crc = 74
ecbs.fac = 8
ecbs.fibcall = 13
ecbs.fir = 36
ecbs.insertsort = 21
ecbs.matmult = 53
ecbs.minmax = 37
ecbs.ns = 34
ecbs.qsortexam = 87
ecbs.qurt = 234
ecbs.select = 78
ecbs.sqrt = 221


ucbs.fac = 11
ucbs.fir = 41 
ucbs.qsortexam = 41 

ecbs.fac = 14
ecbs.fir = 55
ecbs.qsortexam = 55


